Name:           perl-Time-Piece-MySQL
Version:        0.06
Release:    2%{?dist}
Summary:        MySQL-specific methods for Time::Piece
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Time-Piece-MySQL
Source0:        https://cpan.metacpan.org/modules/by-module/Time/Time-Piece-MySQL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Time::Piece) >= 1.03
BuildRequires:  perl(Time::Seconds)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(warnings)
Requires:       perl(Time::Piece) >= 1.03

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Time::Piece\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Time::Piece\\)\s*$

%description
The Time::Piece::MySQL module can be used instead of, or in addition to,
Time::Piece to add MySQL-specific date-time methods to Time::Piece objects.

%prep
%setup -q -n Time-Piece-MySQL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Time/
%{_mandir}/man3/Time::Piece::MySQL.3*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.06-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.06-1
- initial build
